Bug 1265924 - Adobe OpenType font makes cairo crashes when printing
Adobe OpenType font makes cairo crashes when printing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 03:33 EDT by Peng Wu
Modified: 2016-12-20 09:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:43:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Small test case to reproduce the crash with cairo (586 bytes, text/plain)
2015-09-29 01:35 EDT, Peng Wu
no flags Details

  None (edit)
Description Peng Wu 2015-09-24 03:33:27 EDT
Description of problem:
Since Fedora 21, "Adobe Source Han Sans Fonts" is the default fonts for Chinese.

But when printing Chinese HTML page or printing to PDF file, the firefox crashes, or when printing Chinese document to PDF file in gedit, gedit also crashes.

The font packages are adobe-source-han-sans-*-fonts.

Here are an example of Chinese HTML page:
https://pwu.fedorapeople.org/fonts/firefox/chinese.html

Also if copy the text of above HTML page to gedit, and print to PDF file,
gedit also crashes.

BTW, the font is an OTF/CFF font.

Is this related to embedding font data into PDF files?

Version-Release number of selected component (if applicable):
Fedora-Live-Workstation-x86_64-23_Beta-1.iso

How reproducible:
Visit a Chinese HTML page using firefox,
print to PDF files or printer.

Steps to Reproduce:
1. Start Fedora Live Workstation in qemu-kvm.
2. Launch firefox, visit the example HTML page.
3. Print to PDF files or printer.

Actual results:
Firefox crashes.

Expected results:
The HTML page is printed.

Additional info:
In gedit, print some Chinese document to PDF files or printer, gedit will also crash.
Comment 1 Peng Wu 2015-09-29 01:35 EDT
Created attachment 1078160 [details]
Small test case to reproduce the crash with cairo
Comment 2 Peng Wu 2015-10-20 23:08:24 EDT
Reported upstream bug: https://bugs.freedesktop.org/show_bug.cgi?id=92561
Comment 3 Peng Wu 2015-11-05 03:48:44 EST
It seems fixed in upstream.
Comment 4 Fedora End Of Life 2016-11-24 07:34:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 09:43:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.